@import "../../variables.scss";

$circle-to-cell: 4/3;
$circle-size: $circle-to-cell * $cell-size;
$circle-margin: $circle-size / 4;

@media (orientation: portrait) {
	:host {
		margin-top: 2 * $circle-margin;
		max-width: 5 * ($circle-size + 2 * $circle-margin);
	}
}

@media (orientation: landscape) {
	:host {
		max-width: 3 * ($circle-size + 2 * $circle-margin);
	}
}

button.digit {
	margin: $circle-margin / 3 $circle-margin;
	font-family: "Swanky and Moo Moo", Roboto, "Helvetica Neue", sans-serif;
	width: $circle-size;
	height: $circle-size;
	font-size: $swanky-font-size;
}
